<div id="form">

<!--/ Services Star /-->
<section class="section-services section-t8">
    <div class="container">
      <div class="row">
        <div class="col-md-12">
          <div class="title-wrap d-flex justify-content-between">
            <div class="title-box">
              <h2 class="title-a">Connexion</h2>
            </div>
          </div>
        </div>
      </div>
      </div>
  </section>
  <!--/ Services End /-->
</div>

<div id="message">
  <h3 [ngStyle]="{ 'color': messageColor }" style="font-size:100%">{{message}}</h3>
 </div> 

 <div id="form">
<form  [formGroup]="formulaire">
<table>                        
<tr><td>
<div class="form-label-group">
<input type="email" name="inputEmail" class="form-control" placeholder="email..." [(ngModel)]="entity.email" formControlName = "email" required/>
</div>
</td><td>
<div *ngIf="formulaire.controls.email.invalid && formulaire.controls.email.touched">
<div class="message"> Veuillez mettre un email </div>
</div> </td>
</tr> <tr><td>
<div class="form-label-group">
<input type="password"  name="pwd" class="form-control" placeholder="password..." [(ngModel)]="entity.pwd" formControlName = "pwd" required/>
</div>
</td><td>
<div *ngIf="formulaire.controls.pwd.invalid  && formulaire.controls.pwd.touched">
    <div class="message">Veuillez mettre un mot de passe</div>
</div>   
</tr> 
</table>
</form>  
<br>         
<table>
  <tr><td>
<button type="button" class="btn btn-success" (click)="login()">Se connecter</button>
</td><td>
<button type="button" class="btn btn-danger" (click)="annuler()">Annuler</button>
</td> </tr>
</table>
<br>
<a routerLink="/register">Je n'ai pas de compte</a>
<router-outlet></router-outlet>
</div>



